#define IDPATH     101
#define IDFILENAME 102
#define IDPERCENT  103

class SetupApp :public TApplication
{
public:
  SetupApp(LPSTR AName, HANDLE hInstance, HANDLE hPrevInstance,
    LPSTR lpCmdLine, int nCmdShow)
    : TApplication(AName, hInstance, hPrevInstance, lpCmdLine, nCmdShow) {};
  virtual void InitMainWindow();
};
class MainDialog:public TDialog
{
	WORD	DDEMessageSent;
	TDialog *StatDlg;
	ATOM    aApp,aTopic;
	HANDLE	hDDE;
public:
	MainDialog(void);
	void WMInitDialog(RTMessage msg);
	LPSTR GetClassName();
	void GetWindowClass(WNDCLASS _FAR & aclass);
	void Ok(RTMessage Msg);
	void HandleDDEAck(RTMessage Msg) = [WM_FIRST + WM_DDE_ACK];
	int CheckDiskSpace(void);
	int CheckPathGiven(void);
	int MakeDirectory(void);
	int CopyFiles(void);
	int Copy(LPSTR filename,LPSTR copyok);
	int UnCompress(LPSTR filename,LPSTR copyok);
	int CreateGroup(void);
	int CreateItems(void);
	int InitiateDDE(void);
	int TerminateDDE(void);
	void ExecutePMDDE(LPSTR in);
};
